Failed to install Sonarlint 5.x version in Eclipse

when I tried to install Sonarlint from Eclipse market, it always complains 404 for no contents.xml

Hello, thanks for reporting this.

SonarLint’s P2 update site uses a compositeContent.xml, and does not have a contents.xml file.

  • Which version of Eclipse are you using?
  • Is the marketplace client up-to-date?
  • Do you see any message in the Eclipse Error Log? (Window > Show View > Error Log)

Finally, if everything else fails, you can fallback on manual install with one of the zipped update sites.